Subject: Re: [PATCH net-next 0/7] selftest: netfilter: additional cleanups

From: Florian Westphal <[email-masked]>
Date: Tue, 23 Apr 2024 21:42:21 +0200

Jakub Kicinski <[email-masked]> wrote:
> On Tue, 23 Apr 2024 15:05:43 +0200 Florian Westphal wrote:
> > This is the last planned series of the netfilter-selftest-move.
> > It contains cleanups (and speedups) and a few small updates to
> > scripts to improve error/skip reporting.
> > 
> > I intend to route future changes, if any, via nf(-next) trees
> > now that the 'massive code churn' phase is over.
> 
> Got it.
> 
> The main thing that seems to be popping up in the netdev runner is:
> 
> # TEST: performance
> #   net,port                                                      [SKIP]
> #   perf not supported
> 
> What is "perf" in this case? Some NFT module? the perf tool is
> installed, AFAICT..

Its looking for the pktgen wrapper script
(pktgen_bench_xmit_mode_netif_receive.sh).

I don't think it makes too much sense to have that run as part of the CI.

I can either remove this or move it under some special commandline
option, or I can look into this and see if I can get it to run.

Let me know, thanks.